import React from "react";
import { BrowserRouter as Router, Switch, Route } from 'react-router-dom';
import 'bootstrap/dist/css/bootstrap.min.css';
import './App.css';
import Nav from './Component/Nav';
import Teams from './Component/TeamPage/Teams';
import TeamInfo  from './Component/TeamInfo/TeamInfo';
import Statistic from './Component/StatisticPage/Statistic';

function App(){
  return (
    <Router>
      <div className='App'>
          <Nav />
          <Switch>
            <Route path='/' exact component={Home} />
            <Route path='/teams' exact component={Teams} />
            <Route path='/teams/:id' component = {prop => TeamInfo(prop)} />
            <Route path='/statistic' component={Statistic} />
          </Switch>
      </div>
    </Router>
  );
}

const Home = () => (
  <div>
    <h1>APIs</h1>
  </div>
);

export default App;
