import { Link } from 'react-router-dom'
import React, { useState, useEffect } from 'react';
import { Row, Col, Container } from 'react-bootstrap';
import './Team.css';
import axios from 'axios'


function Teams() {
  const [teams, setTeams] = useState([])
  const [year,setYear] = useState('2790');


  useEffect(() => {
    let link = `http://localhost:1337/teams/season/${year}`
    axios.get(link)
      .then(res => {
        setTeams(res.data);
      }).catch(err => {
        console.log(err);
      }
      )
  }, [year])

  return (
  <Container>
    <div className='Teams'>
    </div>
      <Row>
        {teams.map((team) => {
          return <Col className="press"> <Link to={`/teams/${team.team_id}`}><img src={`${team.logo}`} className="pic" /><p className="name">{`${team.name}`} </p></Link> </Col>
        })}
      </Row>
  </Container>
  )
}

export default Teams;